io.vertx.groovy.ext.stomp

## Class Frames_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.ext.stomp.Frames_GroovyStaticExtension

-     public class Frames_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Frames_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,Object>` | `createErrorFrame(Frames j_receiver, String message, Map<String,String> headers, String body)`
    `static Map<String,Object>` | `createReceiptFrame(Frames j_receiver, String receiptId, Map<String,String> headers)`
    `static void` | `handleReceipt(Frames j_receiver, Map<String,Object> frame, StompServerConnection connection)`
    `static Map<String,Object>` | `ping(Frames j_receiver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Frames_GroovyStaticExtension

          public Frames_GroovyStaticExtension()

  - ### Method Detail

    - #### createErrorFrame

          public static Map<String,Object> createErrorFrame(Frames j_receiver,
                                                            String message,
                                                            Map<String,String> headers,
                                                            String body)

    - #### createReceiptFrame

          public static Map<String,Object> createReceiptFrame(Frames j_receiver,
                                                              String receiptId,
                                                              Map<String,String> headers)

    - #### handleReceipt

          public static void handleReceipt(Frames j_receiver,
                                           Map<String,Object> frame,
                                           StompServerConnection connection)

    - #### ping

          public static Map<String,Object> ping(Frames j_receiver)

Copyright © 2017. All rights reserved.